Mozilla Optimization Mini-HOWTO
Prev |  | Next

# 6. Compile the Source

To configure Mozilla's compile-time options, type ./configure from the root directory of the Mozilla source tree. To get a full list of compile-time options, type ./configure --help. Some things to verify before doing a production compilation include verifying that environment preferences (mail vs. no mail, calendar, ldap, etc.) are set and making sure that the crypto package is enabled.

For simplicity's sake, I generally use a simple build script like the following to configure Mozilla.

    #!/bin/sh

    MOZILLA_OFFICIAL=1
    export MOZILLA_OFFICIAL
    BUILD_OFFICIAL=1
    export BUILD_OFFICIAL

    ./configure --with-x --disable-calendar --enable-crypto --with-system-nspr
    --disable-debug --enable-extensions --enable-optimize
    --without-system-zlib --without-system-jpeg --without-system-png
    --without-system-mng

Once you have your patches applied, config files modified, and options set, simply build Mozilla with gmake by typing ./gmake in the root directory of your source tree, and then create your tarball by typing gmake in the `xpinstall/packager` directory. This will drop the tarball in the dist subdirectory just beneath the root directory of your Mozilla source tree. Just move that package to `/usr/local`, unpack it, run it once from the command-line as the user who built the package (the command is /usr/local/mozilla/mozilla), and you are nearly ready to browse.

Prev | Home | Next
Configure the Source |  | Post-Install Configuration